# TRANSFAC_CLASS
[SAMPLE]
FIELD_ACCESSION java.lang.String C001

[CORE]
FIELD_ANNOTATION  SELECT id FROM TRANSFAC__DATA__$CLASS WHERE acc='@FIELD_ACCESSION@' ORDER BY acc
FIELD_COMMENT     SELECT comment FROM TRANSFAC__DATA__$CLASS_COMMENT WHERE AK_TRANSFAC__DATA__$CLASS__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$CLASS__acc
FIELD_INFO        SELECT CONCAT( date,' ',info,' by ',author ) FROM TRANSFAC__DATA__$CLASS_INFO WHERE AK_TRANSFAC__DATA__$CLASS__acc='@FIELD_ACCESSION@'

[LINKAGE_TO]
# LINK_FACTORS        SELECT AK_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$CLASS_BINDING_FACTORS WHERE AK_TRANSFAC__DATA__$CLASS__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
LINK_FACTORS        SELECT DISTINCT AK_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_CLASS WHERE AK_TRANSFAC__DATA__$CLASS__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
LINK_CLASSIFICATION SELECT AK_TRANSFAC__DATA__$CLASSIFICATION__id FROM TRANSFAC__DATA__$CLASS_CLASS WHERE AK_TRANSFAC__DATA__$CLASS__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$CLASSIFICATION__id
LINK_MEDLINE        SELECT FKDest__value FROM TRANSFAC__DATA__LINKAGES$MEDLINE WHERE FKSrc__value='@FIELD_ACCESSION@'
LINK_PROSITE        SELECT FKDest__value FROM TRANSFAC__DATA__LINKAGES$PROSITE WHERE FKSrc__value='@FIELD_ACCESSION@'

[LINKAGE_FROM]
# LINK_FACTORS        SELECT AK_TRANSFAC__DATA__$CLASS__acc FROM TRANSFAC__DATA__$CLASS_BINDING_FACTORS WHERE AK_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$CLASS__acc
LINK_FACTORS        SELECT DISTINCT AK_TRANSFAC__DATA__$CLASS__acc FROM TRANSFAC__DATA__$FACTOR_CLASS WHERE AK_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$CLASS__acc
LINK_CLASSIFICATION SELECT AK_TRANSFAC__DATA__$CLASS__acc FROM TRANSFAC__DATA__$CLASS_CLASS WHERE AK_TRANSFAC__DATA__$CLASSIFICATION__id='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$CLASS__acc
LINK_MEDLINE        SELECT FKSrc__value FROM TRANSFAC__DATA__LINKAGES$MEDLINE WHERE FKDest__value='@FIELD_ACCESSION@'
LINK_PROSITE        SELECT FKSrc__value FROM TRANSFAC__DATA__LINKAGES$PROSITE WHERE FKDest__value='@FIELD_ACCESSION@'

[KEYWORD]
FIELD_ACCESSION   SELECT DISTINCT acc FROM TRANSFAC__DATA__$CLASS WHERE %acc% LIKE '@keyword@' ORDER BY acc
FIELD_ANNOTATION  SELECT DISTINCT acc FROM TRANSFAC__DATA__$CLASS WHERE %id% LIKE '@keyword@' ORDER BY acc
FIELD_COMMENT     SELECT DISTINCT AK_TRANSFAC__DATA__$CLASS__acc FROM TRANSFAC__DATA__$CLASS_COMMENT WHERE %comment% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$CLASS__acc
FIELD_INFO        SELECT DISTINCT AK_TRANSFAC__DATA__$CLASS__acc FROM TRANSFAC__DATA__$CLASS_INFO WHERE %CONCAT( date,' ',info,' by ',author )% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$CLASS__acc
